This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 436248 - [PATCH] mkinitrd --without option
[PATCH] mkinitrd --without option
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks: K12LTSP
  Show dependency treegraph
 
Reported: 2008-03-05 22:18 EST by Warren Togami
Modified: 2008-03-06 13:16 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-06 13:16:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
mkinitrd-without.patch (1.13 KB, patch)
2008-03-05 22:18 EST, Warren Togami
no flags Details | Diff
mkinitrd-without.patch (1.17 KB, text/x-patch)
2008-03-05 22:51 EST, Warren Togami
no flags Details

  None (edit)
Description Warren Togami 2008-03-05 22:18:04 EST
mkinitrd --withavail==networking
This option pulls in all networking drivers, and loads the driver during initrd
if a matching device exists.  Unfortunately this sometimes can cause failures
when multiple drivers support the same network card.  For example, 8139too and
8139cp support an overlapping set of network cards.  nash loadDrivers loads
8139too before 8139cp, while the latter is what the user needs.

Attached is the --without option for mkinitrd.  Syntax Example:
--withavail==networking --without="8139too ipw2200"
Comment 1 Warren Togami 2008-03-05 22:18:04 EST
Created attachment 296987 [details]
mkinitrd-without.patch
Comment 2 Warren Togami 2008-03-05 22:51:26 EST
Created attachment 296990 [details]
mkinitrd-without.patch

Slightly better version of patch, faster in the common case where none are
excluded.
Comment 3 Jeremy Katz 2008-03-06 13:16:58 EST
I don't feel very strongly either way and this does match the rest of the stuff
that we have.  So committed

Note You need to log in before you can comment on or make changes to this bug.